package cn.muchinfo.rma.global.data

import android.os.Parcel
import android.os.Parcelable

/**
 * 套保品种详情
 * @property middleGoodsData MiddleGoodsData
 * @property cvList List<cvListData>期货品种折算列表
 * @constructor
 */
data class MiddleGoodsDetails(
    val middleGoodsData: MiddleGoodsData = MiddleGoodsData(),
    val cvList : List<cvListData> = arrayListOf()
)

/**
 * 期货品种折算data
 * @property convertratio String?折算系数
 * @property dstgoodsgroupid String?目标期货品种ID
 * @property goodsgroupname String?期货品种名称
 * @property outergroupcode String?期货品种代码
 * @property srcgoodsgroupid String?源期货品种ID
 * @constructor
 */
data class cvListData(
    val convertratio : String? = "",
    val dstgoodsgroupid : String? = "",
    val goodsgroupname : String? = "",
    val outergroupcode : String? = "",
    val srcgoodsgroupid : String? = ""
) : Parcelable{
    constructor(parcel: Parcel) : this(
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(convertratio)
        parcel.writeString(dstgoodsgroupid)
        parcel.writeString(goodsgroupname)
        parcel.writeString(outergroupcode)
        parcel.writeString(srcgoodsgroupid)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<cvListData> {
        override fun createFromParcel(parcel: Parcel): cvListData {
            return cvListData(parcel)
        }

        override fun newArray(size: Int): Array<cvListData?> {
            return arrayOfNulls(size)
        }
    }

}

